
// Brick.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Úddaje o jedné cihličce.

   (mapX, mapY) jsou indexy v síti cihliček, která začíná v bodu (0,0)
   prvním řádkem cihliček a roste doleva a dolů.

   locY je y-ová souřadnice cihličkového pásu, který začíná v bodu (0,0)
   v levém horním rohu panelu a roste dolů a doprava. 

   Cihličku reprezentuje statický obrázek. Animované ani pohybující se
   cihličky podporovány nejsou.
*/

import java.awt.*;
import java.awt.image.*;



public class Brick
{
  private int mapX, mapY;   // indexy v síti cihliček
  private int imageID;
    /* ID odpovídá indexu pozice obrázku cihličky v pásu obrázků */

  private BufferedImage image;
  private int height;   // výka obrázku s cihličkou

  private int locY;   
     // y-voá souřadnice cihličky v cihličkovém pásnu


  public Brick(int id, int x, int y)
  { mapX = x;  mapY = y;
    imageID = id;
  }

  public int getMapX()
  {  return mapX;  }

  public int getMapY()
  {  return mapY;  }

  public int getImageID()
  {  return imageID;  }


  public void setImage(BufferedImage im)
  { image = im;
    height = im.getHeight();
  } // konec metody: setImage()


  public void setLocY(int pHeight, int maxYBricks)
  {  locY = pHeight - ((maxYBricks-mapY) * height);  }

  public int getLocY()
  {  return locY;  }

  public void display(Graphics g, int xScr)
  // volána metodou drawBricks() ze třídy BricksManager
  {  g.drawImage(image, xScr, locY, null);  }

}  // konec třídy: Brick
